﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;

namespace ReadEnvSample
{
    class Program
    {
        static void Main(string[] args)
        {
            var processes = Process.GetProcessesByName("devenv");

            if (processes.Length == 0)
                Console.WriteLine("Process with a given name not found. Please modify the code and specify the existing process name.");
            
            foreach (var process in processes)
            {
                Console.WriteLine();
                Console.WriteLine("Process with ID {0} has a PATH environment variable:", process.Id);

                var env = process.ReadEnvironmentVariables();

                string path = env["PATH"];
                Console.WriteLine(path);
            }
        }
    }
}
